import { GeographicMapSeriesHostDescription } from "./GeographicMapSeriesHostDescription";
import { ShapeDataSourceDescription } from "./ShapeDataSourceDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class GeographicShapeSeriesBaseDescription extends GeographicMapSeriesHostDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private eo;
    get shapeMemberPath(): string;
    set shapeMemberPath(a: string);
    private ec;
    get isCustomShapeStyleAllowed(): boolean;
    set isCustomShapeStyleAllowed(a: boolean);
    private eb;
    get isCustomShapeMarkerStyleAllowed(): boolean;
    set isCustomShapeMarkerStyleAllowed(a: boolean);
    private en;
    get itemSearchMode(): string;
    set itemSearchMode(a: string);
    private ei;
    get itemSearchThreshold(): number;
    set itemSearchThreshold(a: number);
    private eh;
    get itemSearchPointsThreshold(): number;
    set itemSearchPointsThreshold(a: number);
    private d9;
    get shapefileDataSource(): ShapeDataSourceDescription;
    set shapefileDataSource(a: ShapeDataSourceDescription);
    private ef;
    get shapeFilterResolution(): number;
    set shapeFilterResolution(a: number);
    private em;
    get assigningShapeStyleRef(): string;
    set assigningShapeStyleRef(a: string);
    private el;
    get assigningShapeMarkerStyleRef(): string;
    set assigningShapeMarkerStyleRef(a: string);
}
